# Class ScrollPaneLayout.UIResource

java.lang.Object
javax.swing.ScrollPaneLayout
javax.swing.ScrollPaneLayout.UIResource

All Implemented Interfaces:
  `LayoutManager, Serializable, UIResource, ScrollPaneConstants`

Enclosing class:
  `ScrollPaneLayout`

public static class ScrollPaneLayout.UIResource extends ScrollPaneLayout implements UIResource
The UI resource version of `ScrollPaneLayout`.

Since:
  1.2

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class ScrollPaneLayout

  `ScrollPaneLayout.UIResource`
  Modifier and Type
  Class
  Description
  `static class`
  `ScrollPaneLayout.UIResource`
  The UI resource version of `ScrollPaneLayout`.

- ## Field Summary

  ### Fields declared in class ScrollPaneLayout

  `colHead, hsb, hsbPolicy, lowerLeft, lowerRight, rowHead, upperLeft, upperRight, viewport, vsb, vsbPolicy`
  Modifier and Type
  Field
  Description
  `protected JViewport`
  `colHead`
  The column header child.
  `protected JScrollBar`
  `hsb`
  The scrollpane's horizontal scrollbar child.
  `protected int`
  `hsbPolicy`
  The display policy for the horizontal scrollbar.
  `protected Component`
  `lowerLeft`
  The component to display in the lower left corner.
  `protected Component`
  `lowerRight`
  The component to display in the lower right corner.
  `protected JViewport`
  `rowHead`
  The row header child.
  `protected Component`
  `upperLeft`
  The component to display in the upper left corner.
  `protected Component`
  `upperRight`
  The component to display in the upper right corner.
  `protected JViewport`
  `viewport`
  The scrollpane's viewport child.
  `protected JScrollBar`
  `vsb`
  The scrollpane's vertical scrollbar child.
  `protected int`
  `vsbPolicy`
  The display policy for the vertical scrollbar.

  ### Fields declared in interface ScrollPaneConstants

  `COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`
  Modifier and Type
  Field
  Description
  `static final String`
  `COLUMN_HEADER`
  Identifies the area at the top the viewport between the upper left corner and the upper right corner.
  `static final String`
  `HORIZONTAL_SCROLLBAR`
  Identifies a horizontal scrollbar.
  `static final int`
  `HORIZONTAL_SCROLLBAR_ALWAYS`
  Used to set the horizontal scroll bar policy so that horizontal scrollbars are always displayed.
  `static final int`
  `HORIZONTAL_SCROLLBAR_AS_NEEDED`
  Used to set the horizontal scroll bar policy so that horizontal scrollbars are displayed only when needed.
  `static final int`
  `HORIZONTAL_SCROLLBAR_NEVER`
  Used to set the horizontal scroll bar policy so that horizontal scrollbars are never displayed.
  `static final String`
  `HORIZONTAL_SCROLLBAR_POLICY`
  Identifies the horizontal scroll bar policy property.
  `static final String`
  `LOWER_LEADING_CORNER`
  Identifies the lower leading edge corner of the viewport.
  `static final String`
  `LOWER_LEFT_CORNER`
  Identifies the lower left corner of the viewport.
  `static final String`
  `LOWER_RIGHT_CORNER`
  Identifies the lower right corner of the viewport.
  `static final String`
  `LOWER_TRAILING_CORNER`
  Identifies the lower trailing edge corner of the viewport.
  `static final String`
  `ROW_HEADER`
  Identifies the area along the left side of the viewport between the upper left corner and the lower left corner.
  `static final String`
  `UPPER_LEADING_CORNER`
  Identifies the upper leading edge corner of the viewport.
  `static final String`
  `UPPER_LEFT_CORNER`
  Identifies the upper left corner of the viewport.
  `static final String`
  `UPPER_RIGHT_CORNER`
  Identifies the upper right corner of the viewport.
  `static final String`
  `UPPER_TRAILING_CORNER`
  Identifies the upper trailing edge corner of the viewport.
  `static final String`
  `VERTICAL_SCROLLBAR`
  Identifies a vertical scrollbar.
  `static final int`
  `VERTICAL_SCROLLBAR_ALWAYS`
  Used to set the vertical scroll bar policy so that vertical scrollbars are always displayed.
  `static final int`
  `VERTICAL_SCROLLBAR_AS_NEEDED`
  Used to set the vertical scroll bar policy so that vertical scrollbars are displayed only when needed.
  `static final int`
  `VERTICAL_SCROLLBAR_NEVER`
  Used to set the vertical scroll bar policy so that vertical scrollbars are never displayed.
  `static final String`
  `VERTICAL_SCROLLBAR_POLICY`
  Identifies the vertical scroll bar policy property.
  `static final String`
  `VIEWPORT`
  Identifies a "viewport" or display area, within which scrolled contents are visible.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UIResource()`
  Constructs a `UIResource`.

- ## Method Summary

  ### Methods declared in class ScrollPaneLayout

  `addLayoutComponent, addSingletonComponent, getColumnHeader, getCorner, getHorizontalScrollBar, getHorizontalScrollBarPolicy, getRowHeader, getVerticalScrollBar, getVerticalScrollBarPolicy, getViewport, getViewportBorderBounds, layoutContainer, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent, setHorizontalScrollBarPolicy, setVerticalScrollBarPolicy, syncWithScrollPane`
  Modifier and Type
  Method
  Description
  `void`
  `addLayoutComponent(String s, Component c)`
  Adds the specified component to the layout.
  `protected Component`
  `addSingletonComponent(Component oldC, Component newC)`
  Removes an existing component.
  `JViewport`
  `getColumnHeader()`
  Returns the `JViewport` object that is the column header.
  `Component`
  `getCorner(String key)`
  Returns the `Component` at the specified corner.
  `JScrollBar`
  `getHorizontalScrollBar()`
  Returns the `JScrollBar` object that handles horizontal scrolling.
  `int`
  `getHorizontalScrollBarPolicy()`
  Returns the horizontal scrollbar-display policy.
  `JViewport`
  `getRowHeader()`
  Returns the `JViewport` object that is the row header.
  `JScrollBar`
  `getVerticalScrollBar()`
  Returns the `JScrollBar` object that handles vertical scrolling.
  `int`
  `getVerticalScrollBarPolicy()`
  Returns the vertical scrollbar-display policy.
  `JViewport`
  `getViewport()`
  Returns the `JViewport` object that displays the scrollable contents.
  `Rectangle`
  `getViewportBorderBounds(JScrollPane scrollpane)`
  Deprecated.
  As of JDK version Swing1.1 replaced by `JScrollPane.getViewportBorderBounds()`.
  `void`
  `layoutContainer(Container parent)`
  Lays out the scrollpane.
  `Dimension`
  `minimumLayoutSize(Container parent)`
  The minimum size of a `ScrollPane` is the size of the insets plus minimum size of the viewport, plus the scrollpane's viewportBorder insets, plus the minimum size of the visible headers, plus the minimum size of the scrollbars whose displayPolicy isn't NEVER.
  `Dimension`
  `preferredLayoutSize(Container parent)`
  The preferred size of a `ScrollPane` is the size of the insets, plus the preferred size of the viewport, plus the preferred size of the visible headers, plus the preferred size of the scrollbars that will appear given the current view and the current scrollbar displayPolicies.
  `void`
  `removeLayoutComponent(Component c)`
  Removes the specified component from the layout.
  `void`
  `setHorizontalScrollBarPolicy(int x)`
  Sets the horizontal scrollbar-display policy.
  `void`
  `setVerticalScrollBarPolicy(int x)`
  Sets the vertical scrollbar-display policy.
  `void`
  `syncWithScrollPane(JScrollPane sp)`
  This method is invoked after the ScrollPaneLayout is set as the LayoutManager of a `JScrollPane`.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### UIResource

    public UIResource()
    Constructs a `UIResource`.